function [pitch] = freq2pitch(gthf,pcf,nPitchPerOctave)
%  function [pitch] = freq2pitch(gthf,pcf,nPitchPerOctave)
%
%    get pitch candidates from ground truth f0 (Hz) [gthf]
%
%% [2012-04-20] Byung Suk Lee bsl@ee.columbia.edu

if ~exist('nPitchPerOctave','var'), nPitchPerOctave = 24; end;

gthf(isnan(gthf)) = 0;
gthf(isinf(gthf)) = 0;

%% Prepare the pitch candidate label
npcf = length(pcf);
sft = 2^(1/2/nPitchPerOctave);
fbounds = [pcf(1)/sft pcf*sft]; % boundary frequencies
%%
[p1] = outer_islessthan(fbounds(1:end-1),gthf);
[p2] = outer_eqlessthan(gthf,fbounds(2:end));
p3 = p1' .* p2;
[dum,pitch] = max(p3,[],2);
% pitch(gthf <= fbounds(1)) = npcf + 1;
pitch(gthf <= fbounds(1)) = npcf + 1; % too low for reject target
pitch(gthf < eps) = 0;
% pitch(gthf > fbounds(end)) = npcf + 2;
pitch(gthf > fbounds(end)) = npcf + 1; % too high for reject target
